> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dogecoin-doge/validateaddress-dogecoin.md).

# validateaddress - Dogecoin

This method validates a Dogecoin address and returns information about it.

## Parameters

| Parameter | Type   | Required | Description                       |
| --------- | ------ | -------- | --------------------------------- |
| address   | string | Yes      | The Dogecoin address to validate. |

## Request

{% tabs %}
{% tab title="cURL" %}
{% code title="cURL" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH"],
    "id": "getblock.io"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code title="validateaddress.js" %}

```javascript
const axios = require('axios');

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code title="validateaddress.py" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH"],
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code title="validateaddress.rs" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "validateaddress",
            "params": ["DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH"],
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Response

{% code title="Response (JSON)" %}

```json
{
    "result": {
        "isvalid": true,
        "address": "DLGbK6mCjBT67r8wjJqCg8hkFiBYV5JquH",
        "scriptPubKey": "76a914a5f4d12ce3685781b227c1f39548ddef429e978388ac",
        "ismine": false,
        "iswatchonly": false,
        "isscript": false
    },
    "error": null,
    "id": "getblock.io"
}
```

{% endcode %}

## Response Parameters

| Field        | Type    | Description                                |
| ------------ | ------- | ------------------------------------------ |
| isvalid      | boolean | Whether the address is valid.              |
| address      | string  | The validated address.                     |
| scriptPubKey | string  | The hex-encoded scriptPubKey.              |
| ismine       | boolean | Whether the address belongs to the wallet. |
| iswatchonly  | boolean | Whether the address is watch-only.         |
| isscript     | boolean | Whether the address is a script address.   |

## Use Case

The `validateaddress` method is essential for:

* Validating user-provided addresses
* Payment form validation
* Address format verification
* Wallet integration
* Exchange deposit address verification

## Error Handling

| Error Code | Message   | Cause                            |
| ---------- | --------- | -------------------------------- |
| 403        | Forbidden | Missing or invalid ACCESS-TOKEN. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/dogecoin-doge/validateaddress-dogecoin.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
